Bug 1125281 - pulp-consumer trace-backs if config file section server misses the verify_ssl key
Summary: pulp-consumer trace-backs if config file section server misses the verify_ssl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.5.0
Assignee: Jeff Ortel
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:39 UTC by Irina Gulina
Modified: 2014-11-24 21:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 21:33:44 UTC


Attachments (Terms of Use)

Description Irina Gulina 2014-07-31 13:39:11 UTC
Description of problem:


Version-Release number of selected component (if applicable):
>>rpm -qa |grep pulp-consumer
pulp-consumer-client-2.4.0-0.29.beta.fc20.noarch

How reproducible:
always


Steps to Reproduce:
>> pulp-consumer --map
Traceback (most recent call last):
  File "/usr/bin/pulp-consumer", line 9, in <module>
    load_entry_point('pulp-client-consumer==2.4.0', 'console_scripts', 'pulp-consumer')()
  File "/usr/lib/python2.7/site-packages/pulp/client/consumer/__init__.py", line 35, in main
    config_files, exception_handler_class=ConsumerExceptionHandler
  File "/usr/lib/python2.7/site-packages/pulp/client/launcher.py", line 85, in main
    server = _create_bindings(config, logger, username, password)
  File "/usr/lib/python2.7/site-packages/pulp/client/launcher.py", line 192, in _create_bindings
    validate_ssl_ca = config['server']['verify_ssl'].lower() != 'false'
KeyError: 'verify_ssl'

at the same time: 

>>pulp-consumer --help
Usage: pulp-consumer [options]

Options:
  -h, --help            show this help message and exit
  -u USERNAME, --username=USERNAME
                        credentials for the Pulp server; if specified will
                        bypass the stored certificate
  -p PASSWORD, --password=PASSWORD
                        credentials for the Pulp server; must be specified
                        with --username
  --debug               enables debug logging
  --config=CONFIG       absolute path to the configuration file
  --map                 prints a map of the CLI sections and commands

Comment 1 Randy Barlow 2014-08-13 19:59:08 UTC
This was fixed in the 2.4.1-0.1.alpha build.

Comment 2 Irina Gulina 2014-08-18 10:20:46 UTC
after commenting the verify_ssl line in config file, there is no traceback

Comment 3 Randy Barlow 2014-08-20 03:31:05 UTC
We are rebasing pulp-2.4.1, and so all of these bugs can no longer be considered VERIFIED. We will need to recheck them against the rebased build to make sure the cherry picking strategy did not introduce any regressions.

Comment 4 Chris Duryee 2014-09-30 13:52:26 UTC
build: 2.5.0-0.6.beta

Comment 5 Irina Gulina 2014-10-01 13:53:43 UTC
after commenting the verify_ssl line in config file, there is no traceback


Note You need to log in before you can comment on or make changes to this bug.